Bug 1898123 - Review Request: php-doctrine-dbal3 - Doctrine Database Abstraction Layer (DBAL) version 3
Summary: Review Request: php-doctrine-dbal3 - Doctrine Database Abstraction Layer (DBA...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1880901
TreeView+ depends on / blocked
 
Reported: 2020-11-16 13:07 UTC by Remi Collet
Modified: 2021-03-19 19:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-19 17:42:13 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-11-16 13:07:26 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/doctrine/php-doctrine-dbal3.git/plain/php-doctrine-dbal3.spec?id=c330eef5968241bf185dab625523d9ea5438e11a
SRPM URL: https://rpms.remirepo.net/SRPMS/php-doctrine-dbal3-3.0.0-1.remi.src.rpm
Description: 
The Doctrine database abstraction & access layer (DBAL) offers a lightweight
and thin runtime layer around a PDO-like API and a lot of additional, horizontal
features like database schema introspection and manipulation through an OO API.

The fact that the Doctrine DBAL abstracts the concrete PDO API away through the
use of interfaces that closely resemble the existing PDO API makes it possible
to implement custom drivers that may use existing native or self-made APIs. For
example, the DBAL ships with a driver for Oracle databases that uses the oci8
extension under the hood.


Fedora Account System Username: remi

Comment 1 Remi Collet 2020-11-16 13:11:18 UTC
@Shawn, FYI

Comment 3 Robert-André Mauchin 🐧 2021-02-17 15:12:15 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "*No copyright*
     Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported
     License". 498 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/php-doctrine-dbal3/review-
     php-doctrine-dbal3/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-doctrine-dbal3-3.0.0-2.fc35.noarch.rpm
          php-doctrine-dbal3-3.0.0-2.fc35.src.rpm
php-doctrine-dbal3.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-doctrine-dbal3.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-doctrine-dbal3.noarch: W: no-manual-page-for-binary doctrine-dbal3
php-doctrine-dbal3.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-doctrine-dbal3.src: W: spelling-error %description -l en_US usr -> use, us, user
php-doctrine-dbal3.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-doctrine-dbal3.src: W: strange-permission php-doctrine-dbal3-get-source.sh 755
php-doctrine-dbal3.src: W: invalid-url Source0: php-doctrine-dbal3-3.0.0-ee6d1260d5cc20ec506455a585945d7bdb98662c.tar.gz
2 packages and 0 specfiles checked; 0 errors, 8 warnings.

Comment 5 Mohan Boddu 2021-03-01 16:07:10 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-doctrine-dbal3

Comment 6 Fedora Update System 2021-03-01 16:23:30 UTC
FEDORA-2021-d8b0bbad87 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8b0bbad87

Comment 7 Fedora Update System 2021-03-02 04:32:06 UTC
FEDORA-2021-d8b0bbad87 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-d8b0bbad87 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8b0bbad87

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-03-19 17:42:13 UTC
FEDORA-2021-d8b0bbad87 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-03-19 19:58:37 UTC
FEDORA-2021-d8b0bbad87 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.